PHPExcel_Cell_DataValidation

category | PHPExcel
package | PHPExcel_Cell
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_Cell_DataValidation

    __construct()

## Get Allow Blank

    getAllowBlank() : boolean

### Returns

`boolean`

## Get Error

    getError() : string

### Returns

`string`

## Get Error style

    getErrorStyle() : string

### Returns

`string`

## Get Error title

    getErrorTitle() : string

### Returns

`string`

## Get Formula 1

    getFormula1() : string

### Returns

`string`

## Get Formula 2

    getFormula2() : string

### Returns

`string`

## Get hash code

    getHashCode() : string

### Returns

`string`Hash code

## Get Operator

    getOperator() : string

### Returns

`string`

## Get Prompt

    getPrompt() : string

### Returns

`string`

## Get Prompt title

    getPromptTitle() : string

### Returns

`string`

## Get Show DropDown

    getShowDropDown() : boolean

### Returns

`boolean`

## Get Show ErrorMessage

    getShowErrorMessage() : boolean

### Returns

`boolean`

## Get Show InputMessage

    getShowInputMessage() : boolean

### Returns

`boolean`

## Get Type

    getType() : string

### Returns

`string`

## Set Allow Blank

    setAllowBlank(boolean $value) : \PHPExcel_Cell_DataValidation

### Parameters

#### $value

`boolean`

### Returns

`\PHPExcel_Cell_DataValidation`

## Set Error

    setError(string $value) : \PHPExcel_Cell_DataValidation

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Cell_DataValidation`

## Set Error style

    setErrorStyle(string $value) : \PHPExcel_Cell_DataValidation

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Cell_DataValidation`

## Set Error title

    setErrorTitle(string $value) : \PHPExcel_Cell_DataValidation

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Cell_DataValidation`

## Set Formula 1

    setFormula1(string $value) : \PHPExcel_Cell_DataValidation

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Cell_DataValidation`

## Set Formula 2

    setFormula2(string $value) : \PHPExcel_Cell_DataValidation

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Cell_DataValidation`

## Set Operator

    setOperator(string $value) : \PHPExcel_Cell_DataValidation

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Cell_DataValidation`

## Set Prompt

    setPrompt(string $value) : \PHPExcel_Cell_DataValidation

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Cell_DataValidation`

## Set Prompt title

    setPromptTitle(string $value) : \PHPExcel_Cell_DataValidation

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Cell_DataValidation`

## Set Show DropDown

    setShowDropDown(boolean $value) : \PHPExcel_Cell_DataValidation

### Parameters

#### $value

`boolean`

### Returns

`\PHPExcel_Cell_DataValidation`

## Set Show ErrorMessage

    setShowErrorMessage(boolean $value) : \PHPExcel_Cell_DataValidation

### Parameters

#### $value

`boolean`

### Returns

`\PHPExcel_Cell_DataValidation`

## Set Show InputMessage

    setShowInputMessage(boolean $value) : \PHPExcel_Cell_DataValidation

### Parameters

#### $value

`boolean`

### Returns

`\PHPExcel_Cell_DataValidation`

## Set Type

    setType(string $value) : \PHPExcel_Cell_DataValidation

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Cell_DataValidation`

### Properties

##

    $_allowBlank : boolean

##

    $_error : string

##

    $_errorStyle : string

##

    $_errorTitle : string

##

    $_formula1 : string

##

    $_formula2 : string

##

    $_operator : string

##

    $_prompt : string

##

    $_promptTitle : string

##

    $_showDropDown : boolean

##

    $_showErrorMessage : boolean

##

    $_showInputMessage : boolean

##

    $_type : string

### Constants

## OPERATOR_BETWEEN

    OPERATOR_BETWEEN

## OPERATOR_EQUAL

    OPERATOR_EQUAL

## OPERATOR_GREATERTHAN

    OPERATOR_GREATERTHAN

## OPERATOR_GREATERTHANOREQUAL

    OPERATOR_GREATERTHANOREQUAL

## OPERATOR_LESSTHAN

    OPERATOR_LESSTHAN

## OPERATOR_LESSTHANOREQUAL

    OPERATOR_LESSTHANOREQUAL

## OPERATOR_NOTBETWEEN

    OPERATOR_NOTBETWEEN

## OPERATOR_NOTEQUAL

    OPERATOR_NOTEQUAL

## STYLE_INFORMATION

    STYLE_INFORMATION

## STYLE_STOP

    STYLE_STOP

## STYLE_WARNING

    STYLE_WARNING

## TYPE_CUSTOM

    TYPE_CUSTOM

## TYPE_DATE

    TYPE_DATE

## TYPE_DECIMAL

    TYPE_DECIMAL

## TYPE_LIST

    TYPE_LIST

## TYPE_NONE

    TYPE_NONE

## TYPE_TEXTLENGTH

    TYPE_TEXTLENGTH

## TYPE_TIME

    TYPE_TIME

## TYPE_WHOLE

    TYPE_WHOLE